Bronto supports both the GET and POST methods for executing a query, however the POST method is
preferred as it avoids problems related to maximum URL length when the query parameters are very long.
In the context of the REST API, there are three distinct types queries which determine which parts of the
response object are populated:
Event search queries return a list of events matching the specified filter.
The response will be paginated if more than limit (default 50) matching events are returned.
Aggregate queries apply aggregate functions such as count(), sum(), max(), avg()
to your log data, and return a number or a timeseries of numbers.
Group by aggregate queries return numerical results grouped according to the values for the
attributes specified in the group by clause.
The query type is determined by the combination of the select and groups parameters.
The select parameter enables the selection of one or many rows or columns from your datasets.
It can be used to select keys by name, e.g. "select": ["ip_address", "status_code"], in which
case the response will contain a list of log events with two columns containing ip addresses and
status codes. Or it can be used with an aggregate function (count, max, min, avg, sum), e.g.,
"select": ["avg(response_time_ms)", "max(response_time_ms)"], in which case the response will
contain columns for the average response time, and max response time. Each row corresponds to a
time slice, for example if you set "num_of_slices": 10 and "time_range": "Last 10 hours", then each row
will contain the function result for each hour of data.
The @raw internal attribute is always available for selection, and its values are the entire unparsed log events.
The tags to search. Each tag should be in the form <key>:<value>, e.g., environment:production.
One of either the from or the from_tags parameters must be specified.
If both are specified then from_tags takes precedence, and the from value is ignored.
If the key or the value contain a : or = character, then these can be escaped by wrapping the entire key or value in double-quotes ".
The relative time range for which to query data. Time range supported is from
milliseconds to years. For an exact range, use from_ts and to_ts instead.
The starting time (unix time in milliseconds) for which to query data.
Must be used together with to_ts.
This parameter is incompatible with time_range.
The ending time (unix time in milliseconds) for which to query data.
Must be used together with from_ts.
This parameter is incompatible with time_range.
The groups parameter specifies a key to use to arrange the results returned by an aggregate function,
(such as count, max, min, avg, sum) into groups of values. The aggregate function returns a single value
for each group.
The maximum number of events that an event search should return.
In a query with a group by, it limits the number of groups returned.
It does not affect a query using aggregate functions.
Specifies the starting sequence number for the time range when used together with the from_ts parameter.
Each log event has a sequence number which is unique within a millisecond,
and can be used to query data with sub-millisecond time range precision.
The sequence numbers are ordered such that earlier log events have lower sequence numbers.
If set to true then only the explain element of the response will be populated.
The explain element will contain the Approximate bytes in time range attribute which
provides an estimate for the amount of data present in the time range for the selected
datasets.
If set to true the server will respond in an asynchronous way: it will return immediately with
a polling link (in the links element of the response body), which the client should check periodically
to monitor the progress of the query and to receive partial results.
This is useful for long running queries, and allows an API client to handle multiple requests concurrently without blocking.
The behaviour of the async API is described here.
If set to false the server will wait until the query has completed before returning a single 200 response
with the completed results in the response body.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Bronto Docs","colors":{"primary":"#F4C430","light":"#F4C430","dark":"#F4C430"},"logo":{"light":"https://mintcdn.com/bronto/XgZO_N2_fZQn0lij/logo/bronto_mark.png?fit=max\u0026auto=format\u0026n=XgZO_N2_fZQn0lij\u0026q=85\u0026s=9d3e675d8cd714b8dbd1f1753438f856","dark":"https://mintcdn.com/bronto/XgZO_N2_fZQn0lij/logo/bronto_mark.png?fit=max\u0026auto=format\u0026n=XgZO_N2_fZQn0lij\u0026q=85\u0026s=9d3e675d8cd714b8dbd1f1753438f856","href":"https://www.bronto.io"},"favicon":"https://mintcdn.com/bronto/XgZO_N2_fZQn0lij/logo/favicon.png?fit=max\u0026auto=format\u0026n=XgZO_N2_fZQn0lij\u0026q=85\u0026s=26a0f5f54bf49ad88d2a110a0dc1bb04","appearance":{"default":"dark"},"background":{"color":{"light":"#F8F7F3","dark":"#0A0B0E"}},"navbar":{"links":[{"href":"https://app.bronto.io/login","label":"Login"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.bronto.io/book-a-demo"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/brontohq"}},"seo":{"metatags":{"og:type":"website","og:site_name":"Bronto Docs","twitter:card":"summary_large_image","applicationName":"Bronto Docs"},"indexing":"all"},"fonts":{"heading":{"family":"Radio Canada Big"},"body":{"family":"Radio Canada Big"}},"icons":{"library":"lucide"},"styling":{"codeblocks":"dark","latex":true},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor","vscode"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Trust","icon":"shield","href":"https://trust.bronto.io/"},{"anchor":"Book a Demo","icon":"calendar","href":"https://www.bronto.io/book-a-demo"},{"anchor":"Status","icon":"signal","href":"https://status.bronto.io"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"bronto","hasAudioNarration":false,"actualSubdomain":"bronto","customDomains":["docs.bronto.io"],"gitSource":{"type":"github","owner":"brontoio","repo":"bronto-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":false,"issues":true,"edits":true,"agentFeedback":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aedaad5b5c73ad147ee3a93","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":144},{"language":"default","tag":"Ingest Data","count":109},{"language":"default","tag":"CLI","count":65},{"language":"default","tag":"Reference","count":45},{"language":"default","tag":"Getting Started and UI","count":40},{"language":"default","tag":"Commands","count":40},{"language":"default","tag":"Ingest from AWS","count":32},{"language":"default","tag":"AWS Services","count":21},{"language":"default","tag":"AI Assisted Observability","count":20},{"language":"default","tag":"integrations","count":19}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":false,"deflection":{"enabled":true,"email":"support@bronto.io","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"styles/welcome-style.css","content":"[data-page=\"welcome\"]{display:flex;flex-direction:column;align-items:center;justify-content:center;text-align:center;padding:4rem 2rem}[data-page=\"welcome\"] h1{font-size:3rem;font-weight:bold;color:#F4C430;margin-bottom:1.5rem}[data-page=\"welcome\"] .content-container{max-width:800px;margin:0 auto}[data-page=\"welcome\"] .side-nav{display:none}[data-page=\"welcome\"] img{max-width:100%;height:auto;margin-bottom:2rem}[data-page=\"welcome\"] .CardGroup{display:grid;grid-template-columns:1fr;gap:1.5rem;margin-top:2rem}[data-page=\"welcome\"] .Card{background:#1e1e1e;color:white;padding:1.5rem;border-radius:8px;transition:transform 0.2s ease-in-out}[data-page=\"welcome\"] .Card:hover{transform:scale(1.05)}[data-page=\"welcome\"] .Card h2{font-size:1.5rem;color:#F4C430;margin-bottom:0.5rem}"},{"filePath":"styles/brand-icons.css","content":"img[src^=\"/images/icons/\"]{object-fit:contain}html.dark img[src$=\"/images/icons/aws.svg\"]{content:url(\"/images/icons/aws-dark.svg\")}html.dark img[src$=\"/images/icons/kafka.svg\"]{content:url(\"/images/icons/kafka-dark.svg\")}html.dark img[src$=\"/images/icons/kong.svg\"]{content:url(\"/images/icons/kong-dark.svg\")}html.dark img[src$=\"/images/icons/rust.svg\"]{content:url(\"/images/icons/rust-dark.svg\")}html.dark img[src$=\"/images/icons/vercel.svg\"]{content:url(\"/images/icons/vercel-dark.svg\")}html.dark img[src$=\"/images/icons/auth0.svg\"]{content:url(\"/images/icons/auth0-dark.svg\")}html.dark img[src$=\"/images/icons/okta.svg\"]{content:url(\"/images/icons/okta-dark.svg\")}html.dark img[src$=\"/images/icons/mysql.svg\"]{content:url(\"/images/icons/mysql-dark.svg\")}html.dark img[src$=\"/images/icons/heroku.svg\"]{content:url(\"/images/icons/heroku-dark.svg\")}html.dark img[src$=\"/images/icons/langchain.svg\"]{content:url(\"/images/icons/langchain-dark.svg\")}html.dark img[src$=\"/images/icons/mcp.svg\"]{content:url(\"/images/icons/mcp-dark.svg\")}"},{"filePath":"styles/buttons.css","content":"html:not(.dark) #topbar-cta-button a>span:first-child{background-color:#151513}"},{"filePath":"styles/card-icons.css","content":"[data-component-part=\"card-content-container\"]:has([data-component-part=\"card-icon\"]){display:grid;grid-template-columns:auto 1fr;column-gap:10px;align-items:center}[data-component-part=\"card-content-container\"] div:has(>[data-component-part=\"card-title\"]){display:contents}[data-component-part=\"card-icon\"]{grid-column:1;grid-row:1;display:flex;width:16px;height:16px}[data-component-part=\"card-icon\"]>svg{width:16px!important;height:16px!important}[data-component-part=\"card-content-container\"]:has([data-component-part=\"card-icon\"]) [data-component-part=\"card-title\"]{grid-column:2;grid-row:1;margin-top:0}[data-component-part=\"card-content-container\"]:has([data-component-part=\"card-icon\"]) [data-component-part=\"card-content\"]{grid-column:1 / -1;margin-top:4px}.card:hover [data-component-part=\"card-content-container\"]>a>div.absolute{color:rgb(var(--gray-400))}html.dark .card:hover [data-component-part=\"card-content-container\"]>a>div.absolute{color:rgb(var(--gray-500))}"},{"filePath":"styles/cards.css","content":".card{border-width:0}html.dark .card{box-shadow:0 0 0 1px rgb(255 255 255 / 0.1);transition:box-shadow 150ms ease-out}html.dark .card:hover{box-shadow:0 0 0 1px rgb(255 255 255 / 0.18), 0 8px 24px -8px rgb(0 0 0 / 0.5)}html:not(.dark) .card{--card-shadow:\n 0 0 0 1px hsl(40 20% 20% / 0.04),\n 0 1px 2px hsl(40 20% 20% / 0.04),\n 0 2px 6px -1px hsl(40 20% 20% / 0.06),\n 0 6px 14px -6px hsl(40 20% 20% / 0.08);--card-shadow-hover:\n 0 0 0 1px hsl(40 20% 20% / 0.06),\n 0 2px 4px hsl(40 20% 20% / 0.05),\n 0 4px 10px -2px hsl(40 20% 20% / 0.08),\n 0 12px 24px -8px hsl(40 20% 20% / 0.12);background-color:#ffffff;border-radius:12px;box-shadow:var(--card-shadow);transition:box-shadow 150ms ease-out}html:not(.dark) .card:hover{box-shadow:var(--card-shadow-hover)}.card [data-component-part=\"card-content-container\"]{padding:14px 16px}.card h2{font-family:\"Radio Canada Big\", sans-serif;font-size:14px;font-weight:600;letter-spacing:-0.02em}html:not(.dark) .card h2{color:#151513}"},{"filePath":"styles/dark-mode.css","content":"html.dark{--background-dark: 10 11 14;--primary: 43 127 255;--primary-light: 43 127 255;--primary-dark: 43 127 255;--gray-50: 248 249 251;--gray-100: 238 240 244;--gray-200: 238 240 244;--gray-300: 205 209 217;--gray-400: 144 151 165;--gray-500: 104 109 120;--gray-600: 74 79 89;--gray-700: 48 52 60;--gray-800: 34 38 45;--gray-900: 20 22 27;--gray-950: 10 11 14}html.dark .card{background-color:#14161B;box-shadow:0 0 0 1px #22262D}html.dark .card:hover{box-shadow:0 0 0 1px #2E333C, 0 8px 24px -8px rgb(0 0 0 / 0.6)}html.dark #navbar-transition,html.dark #navbar .h-16>div{border-color:#191C21}html.dark #sidebar .sidebar-group-header{color:#686D78}html.dark #sidebar a:not([aria-current]),html.dark #sidebar button{color:#CDD1D9}html.dark #sidebar .sidebar-group a:not([aria-current]):hover,html.dark #sidebar .sidebar-group button:hover,html.dark #sidebar a.nav-anchor:hover{background-color:#14161B}html.dark #sidebar a[aria-current]{background-color:#242732;color:#EEF0F4}html.dark #sidebar a[aria-current] svg{background-color:#EEF0F4}"},{"filePath":"styles/footer.css","content":"#footer{margin-top:40px;padding-top:24px;padding-bottom:40px}[data-assistant-bar].invisible{height:0;overflow:hidden}"},{"filePath":"styles/header.css","content":"@media (min-width: 1024px){:root{--mintlify-slot-header-height: 92px;--topbar-tabs-height: 40px}#navbar .h-16:has(.nav-logo){height:52px}#navbar div:has(>.nav-tabs){height:40px}}#search-bar-entry,#assistant-entry{height:32px;border-radius:8px}html:not(.dark) #search-bar-entry,html:not(.dark) #assistant-entry,html:not(.dark) .chat-assistant-floating-input .rounded-2xl{background-color:#ffffff;border-color:transparent;box-shadow:0 0 0 1px hsl(40 20% 20% / 0.04),\n 0 1px 2px hsl(40 20% 20% / 0.04),\n 0 2px 6px -1px hsl(40 20% 20% / 0.06),\n 0 6px 14px -6px hsl(40 20% 20% / 0.08);transition:box-shadow 150ms ease-out}html:not(.dark) #search-bar-entry:hover,html:not(.dark) #assistant-entry:hover,html:not(.dark) .chat-assistant-floating-input .rounded-2xl:hover,html:not(.dark) .chat-assistant-floating-input .rounded-2xl:focus-within{box-shadow:0 0 0 1px hsl(40 20% 20% / 0.06),\n 0 2px 4px hsl(40 20% 20% / 0.05),\n 0 4px 10px -2px hsl(40 20% 20% / 0.08),\n 0 12px 24px -8px hsl(40 20% 20% / 0.12)}html:not(.dark) .chat-assistant-floating-input .rounded-2xl{border-radius:12px}#navbar div:has(>#theme-preference-menu-trigger){order:-1}#navbar div:has(>nav):has(#theme-preference-menu-trigger){gap:10px}#navbar div:has(>nav):has(#theme-preference-menu-trigger)>*{margin-inline:0}#navbar nav>ul{gap:10px}#navbar nav>ul>li{margin-inline:0}#navbar li.navbar-link>a{height:32px;padding:0 12px;border-radius:8px;font-weight:500;color:#151513;background-color:#ffffff;box-shadow:0 0 0 1px hsl(40 20% 20% / 0.1),\n 0 1px 2px hsl(40 20% 20% / 0.06);transition:background-color 150ms ease-out}#navbar li.navbar-link>a:hover{background-color:#F1EFE7}html.dark #navbar li.navbar-link>a{color:rgb(var(--gray-200));background-color:rgb(255 255 255 / 0.05);box-shadow:0 0 0 1px rgb(255 255 255 / 0.1)}html.dark #navbar li.navbar-link>a:hover{background-color:rgb(255 255 255 / 0.1)}#topbar-cta-button>a{height:32px;padding:0 12px}#topbar-cta-button svg{display:none}#topbar-cta-button>a>span:first-child{border-radius:8px}"},{"filePath":"styles/hero.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatSGqxLUv.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatSiqxLUv.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatS-qxLUv.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatSOqxLUv.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatSKqxLUv.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Source Serif Pro';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/sourceserifpro/v19/neIXzD-0qpwxpaWvjeD0X88SAOeasasatSyqxA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n#content-area:has(.bronto-hero) #header{display:none}.mdx-content:has(.bronto-hero){margin-top:0}.bronto-hero{position:relative;isolation:isolate;display:flex;flex-direction:column;align-items:center;padding:72px 0 8px;margin-bottom:48px;text-align:center}.bronto-grid{--cell: 255 214 10;position:absolute;z-index:-1;inset:-40px 0 auto;display:grid;grid-template-columns:repeat(auto-fill, 10px);grid-auto-rows:10px;gap:4px;justify-content:center;height:180px;overflow:hidden;pointer-events:none;-webkit-mask-image:linear-gradient(to bottom, #000 0%, rgb(0 0 0 / 0.6) 35%, transparent 100%),\n linear-gradient(to right, transparent, #000 15%, #000 85%, transparent);-webkit-mask-composite:source-in;mask-image:linear-gradient(to bottom, #000 0%, rgb(0 0 0 / 0.6) 35%, transparent 100%),\n linear-gradient(to right, transparent, #000 15%, #000 85%, transparent);mask-composite:intersect}.bronto-grid>span{border-radius:2px;background-color:rgb(var(--cell));opacity:0}.bronto-grid>span.on{animation:bronto-grid-twinkle var(--d, 5s) ease-in-out var(--delay, 0s) infinite}.bronto-grid>span.glow{box-shadow:0 0 8px rgb(var(--cell) / 0.7)}@keyframes bronto-grid-twinkle{0%,100%{opacity:calc(var(--o, 0.5) * 0.25)}50%{opacity:var(--o, 0.5)}}.bronto-hero-title{margin-top:20px;font-family:\"Source Serif Pro\", serif;font-size:clamp(36px, 5.5vw, 60px);font-weight:600;line-height:1.06;letter-spacing:-0.055em;color:#151513}.bronto-hero-subtitle{max-width:560px;margin:20px auto 0;font-size:17px;line-height:26px;color:rgb(var(--gray-600))}.bronto-pills{width:100%;max-width:560px;margin-top:28px;overflow:hidden;-webkit-mask-image:linear-gradient(to right, transparent, #000 18%, #000 82%, transparent);mask-image:linear-gradient(to right, transparent, #000 18%, #000 82%, transparent)}.bronto-pills-track{display:flex;gap:8px;width:max-content;animation:bronto-pills-drift 60s linear infinite}@keyframes bronto-pills-drift{from{transform:translateX(calc(-50% - 4px))}to{transform:translateX(0)}}.bronto-pill{display:inline-flex;flex-shrink:0;align-items:center;gap:5px;height:24px;padding:0 9px;border-radius:9999px;background-color:#F1EFE7;color:#151513;font-size:12px;line-height:1;white-space:nowrap}.bronto-pill svg{width:12px;height:12px}.bronto-hero-cards{width:100%;max-width:760px;margin-top:40px;text-align:left}html.dark .bronto-grid{--cell: 43 127 255}html.dark .bronto-hero-title{color:#EEF0F4}html.dark .bronto-hero-subtitle{color:#9097A5}html.dark .bronto-pill{background-color:#14161B;box-shadow:0 0 0 1px #22262D;color:#CDD1D9}@media (prefers-reduced-motion: reduce){.bronto-grid>span.on{animation:none;opacity:calc(var(--o, 0.5) * 0.6)}.bronto-pills{-webkit-mask-image:none;mask-image:none}.bronto-pills-track{flex-wrap:wrap;justify-content:center;width:auto;animation:none}.bronto-pill[aria-hidden=\"true\"]{display:none}}"},{"filePath":"styles/images.css","content":".mdx-content{--image-shadow:\n 0 0 0 1px hsl(40 20% 20% / 0.05),\n 0 2px 4px hsl(40 20% 20% / 0.05),\n 0 10px 28px -10px hsl(40 20% 20% / 0.18)}html.dark .mdx-content{--image-shadow:\n 0 0 0 1px #22262D,\n 0 10px 28px -10px rgb(0 0 0 / 0.7)}.mdx-content .frame{padding:0;border-radius:12px;background:transparent;box-shadow:var(--image-shadow)}.mdx-content .frame>div[class*=\"bg-grid\"],.mdx-content .frame>div.pointer-events-none{display:none}.mdx-content .zoom-image-trigger img:not(.frame *,.card *,table *,.bronto-hero *){border-radius:12px;box-shadow:var(--image-shadow)}"},{"filePath":"styles/layout.css","content":"@media (min-width: 1024px){#navbar .max-w-8xl,div:has(>#sidebar){max-width:none}html:not([data-page-mode=\"wide\"]) #content-area{max-width:960px}div:has(>#sidebar):not(:has(#table-of-contents))>#content-container{margin-left:max(0px, calc(50vw - 451px - var(--sidebar-width) - 8px))}.flex.items-center.h-16:has(.nav-logo){padding-left:16px;padding-right:16px}div:has(>.nav-tabs){padding-left:24px;padding-right:24px}div:has(>#sidebar){padding-left:8px;padding-right:24px}}@media (min-width: 1280px){html:not([data-page-mode=\"wide\"]) #content-container:has(#table-of-contents) #content-area{margin-left:clamp(\n -48px,\n calc(50vw - 524px - var(--sidebar-width) - 8px),\n calc(100vw - var(--sidebar-width) - 8px - 960px - 48px - 264px - 24px)\n )}}"},{"filePath":"styles/logo.css","content":"a:has(>.nav-logo){display:flex;align-items:center}a>.nav-logo{height:24px}a:has(>.nav-logo)::after{content:\"Docs\";padding-left:28px;margin-left:4px;font-size:19px;font-weight:500;line-height:28px;letter-spacing:-0.02em;color:#151513;background:linear-gradient(\n to bottom right,\n transparent calc(50% - 0.75px),\n var(--logo-slash, #D6D2C4) calc(50% - 0.75px),\n var(--logo-slash, #D6D2C4) calc(50% + 0.75px),\n transparent calc(50% + 0.75px)\n )\n left 10px top 7px / 7.5px 14px no-repeat}html.dark a:has(>.nav-logo)::after{--logo-slash: rgb(255 255 255 / 0.2);color:rgb(var(--gray-200))}"},{"filePath":"styles/page-actions.css","content":"#page-context-menu{min-width:0;width:fit-content;height:28px;border-radius:8px;background-color:#ffffff;box-shadow:0 0 0 1px hsl(40 20% 20% / 0.06),\n 0 1px 2px hsl(40 20% 20% / 0.05),\n 0 2px 6px -1px hsl(40 20% 20% / 0.06);transition:box-shadow 150ms ease-out}#page-context-menu:hover{box-shadow:0 0 0 1px hsl(40 20% 20% / 0.08),\n 0 2px 4px hsl(40 20% 20% / 0.06),\n 0 4px 10px -2px hsl(40 20% 20% / 0.1)}#page-context-menu>button{height:28px;border:0;border-radius:0;background-color:transparent;transition:background-color 150ms ease-out}#page-context-menu>button:first-child{padding:0 10px;border-radius:8px 0 0 8px}#page-context-menu>button:first-child>div{gap:6px;font-size:13px}#page-context-menu>button:first-child svg{width:14px;height:14px}#page-context-menu>button:last-child{width:28px;padding:0;border-radius:0 8px 8px 0;border-left:1px solid hsl(40 20% 20% / 0.08)}#page-context-menu>button:hover{background-color:#F1EFE7}html.dark #page-context-menu{background-color:#14161B;box-shadow:0 0 0 1px #22262D}html.dark #page-context-menu:hover{box-shadow:0 0 0 1px #2E333C, 0 6px 16px -6px rgb(0 0 0 / 0.6)}html.dark #page-context-menu>button:last-child{border-left-color:#22262D}html.dark #page-context-menu>button:hover{background-color:rgb(255 255 255 / 0.05)}"},{"filePath":"styles/pagination.css","content":"#pagination{gap:12px;margin-inline:-20px;padding:0}#pagination>a{display:grid;grid-template-columns:auto 1fr;align-items:center;column-gap:8px;row-gap:6px;width:calc(50% - 6px);padding:18px 20px;border-radius:12px;transition:background-color 150ms ease-out}#pagination>a[data-component-part=\"pagination-next\"]{grid-template-columns:1fr auto;margin-left:auto;text-align:right}@media (max-width: 640px){#pagination{flex-direction:column;align-items:stretch;gap:4px}#pagination>a,#pagination>a[data-component-part=\"pagination-next\"]{width:auto;margin-left:0}}#pagination>a:hover{background-color:#F1EFE7}html.dark #pagination>a:hover{background-color:#14161B}#pagination [data-component-part=\"pagination-title\"]{grid-row:1;grid-column:1 / -1;font-size:17px;font-weight:500;line-height:24px;color:#151513}html.dark #pagination [data-component-part=\"pagination-title\"]{color:#EEF0F4}#pagination [data-component-part=\"pagination-chevron\"]{grid-row:2;height:9px;width:auto;stroke:rgb(var(--gray-500))}#pagination>a[data-component-part=\"pagination-prev\"] [data-component-part=\"pagination-chevron\"]{grid-column:1}#pagination>a[data-component-part=\"pagination-next\"] [data-component-part=\"pagination-chevron\"]{grid-column:2}#pagination>a::after{grid-row:2;font-family:ui-monospace, \"SF Mono\", Menlo, monospace;font-size:11px;font-weight:400;letter-spacing:0.1em;line-height:16px;text-transform:uppercase;color:rgb(var(--gray-500))}#pagination>a[data-component-part=\"pagination-prev\"]::after{content:\"Previous\";grid-column:2}#pagination>a[data-component-part=\"pagination-next\"]::after{content:\"Next\";grid-column:1}#pagination>a:hover::after,#pagination>a:hover [data-component-part=\"pagination-chevron\"]{color:rgb(var(--gray-700));stroke:rgb(var(--gray-700))}html.dark #pagination>a:hover::after,html.dark #pagination>a:hover [data-component-part=\"pagination-chevron\"]{color:rgb(var(--gray-300));stroke:rgb(var(--gray-300))}"},{"filePath":"styles/sidebar.css","content":"html:not(.dark) #sidebar .sidebar-group-header{color:#747471}:root{--sidebar-width: 17rem}#sidebar .sidebar-group-header{font-weight:500}html:not(.dark) #sidebar a:not([aria-current]),html:not(.dark) #sidebar button{color:#151513}html:not(.dark) #sidebar .sidebar-group a:not([aria-current]):hover,html:not(.dark) #sidebar .sidebar-group button:hover,html:not(.dark) #sidebar a.nav-anchor:hover{background-color:#F1EFE7}html:not(.dark) #sidebar a[aria-current]{background-color:#E2DECC;color:#151513}html:not(.dark) #sidebar a[aria-current] svg{background-color:#151513}#sidebar a svg[style*=\"mask\"],#sidebar a:hover svg[style*=\"mask\"],#sidebar button svg[style*=\"mask\"]{width:14px;height:14px;background-color:currentColor}#sidebar .sidebar-group a,#sidebar .sidebar-group button{padding-top:3px;padding-bottom:3px}#sidebar div:has(>.sidebar-group-header){margin-top:20px}#sidebar .sidebar-group-header{margin-bottom:4px}#navigation-items{display:flex;flex-direction:column}div:has(>#navigation-items)>div.sticky:first-child{height:20px;margin-bottom:-20px}#navigation-items>ul:has(a.nav-anchor){order:1;margin-top:20px}#sidebar a.nav-anchor{margin:0 0 1px;padding:3px 12px 3px 16px;gap:12px;border-radius:12px;font-weight:400;line-height:24px}#sidebar a.nav-anchor>div:first-child{color:inherit;margin:0;padding:0;border-radius:0;background:none!important;box-shadow:none;filter:none}"},{"filePath":"styles/steps.css","content":".steps{--step-line: rgb(21 21 19 / 0.1);--step-badge-border: rgb(21 21 19 / 0.14);--step-badge-bg: #ffffff;margin-left:12px}html.dark .steps{--step-line: #22262D;--step-badge-border: #2E333C;--step-badge-bg: #14161B}.steps>.step{padding-bottom:24px}.steps [data-component-part=\"step-number\"]{margin-left:-12px;padding:0}.steps [data-component-part=\"step-indicator\"]{display:grid;place-items:center;width:24px;height:24px;border:1px solid var(--step-badge-border);background-color:var(--step-badge-bg);font-family:ui-monospace, \"SF Mono\", Menlo, monospace;font-size:11.5px;font-weight:500;color:#151513}html.dark .steps [data-component-part=\"step-indicator\"]{color:#EEF0F4}.steps [data-component-part=\"step-line\"]{top:28px;height:calc(100% - 32px);background-color:var(--step-line)}.steps>.step:last-child [data-component-part=\"step-line\"]{display:none}.steps>.step>div:last-child{padding-left:28px}.steps [data-component-part=\"step-title\"]{margin:0;font-size:15px;line-height:24px;color:#151513}html.dark .steps [data-component-part=\"step-title\"]{color:#EEF0F4}.steps [data-component-part=\"step-content\"]{margin-top:4px}.steps [data-component-part=\"step-content\"]>:first-child{margin-top:0}.steps [data-component-part=\"step-content\"]>:last-child{margin-bottom:0}"},{"filePath":"styles/tables.css","content":".mdx-content table{--table-line: rgb(21 21 19 / 0.08);--table-head: #F1EFE7;--table-body: #ffffff;border-collapse:separate;border-spacing:0;border:1px solid var(--table-line);border-radius:10px;overflow:hidden;background-color:var(--table-body)}html.dark .mdx-content table{--table-line: #22262D;--table-head: #14161B;--table-body: transparent}.mdx-content table :is(th,td){padding:11px 16px;vertical-align:top;border-bottom:1px solid var(--table-line);border-right:1px solid var(--table-line)}.mdx-content table :is(th,td):last-child{border-right:0}.mdx-content table tbody tr:last-child td{border-bottom:0}.mdx-content table th{vertical-align:middle;background-color:var(--table-head);font-family:ui-monospace, \"SF Mono\", Menlo, monospace;font-size:12.5px;font-weight:400;line-height:18px;color:rgb(var(--gray-600))}html.dark .mdx-content table th{color:#9097A5}.mdx-content table td{font-size:14px;line-height:21px}.mdx-content table td:first-child{font-weight:600;color:#151513}html.dark .mdx-content table td:first-child{color:#EEF0F4}.mdx-content table td code{white-space:nowrap;word-break:normal;overflow-wrap:normal}"},{"filePath":"styles/tabs.css","content":"[data-component-part=\"tabs-list\"]{display:inline-flex;gap:2px;width:fit-content;min-width:0;max-width:100%;margin-bottom:16px;padding:3px;border:0;border-radius:10px;background-color:#F1EFE7}[data-component-part=\"tab-button\"]{margin:0;padding:4px 12px;border:0;border-radius:7px;font-size:13px;font-weight:500;line-height:20px;color:rgb(var(--gray-600));transition:color 150ms ease-out, background-color 150ms ease-out, box-shadow 150ms ease-out}[data-component-part=\"tab-button\"]:hover{color:#151513}[data-component-part=\"tab-button\"][data-active=\"true\"]{color:#151513;background-color:#ffffff;box-shadow:0 0 0 1px hsl(40 20% 20% / 0.06),\n 0 1px 2px hsl(40 20% 20% / 0.08),\n 0 2px 6px -1px hsl(40 20% 20% / 0.08)}html.dark [data-component-part=\"tabs-list\"]{background-color:#14161B;box-shadow:0 0 0 1px #22262D}html.dark [data-component-part=\"tab-button\"]{color:#9097A5}html.dark [data-component-part=\"tab-button\"]:hover,html.dark [data-component-part=\"tab-button\"][data-active=\"true\"]{color:#EEF0F4}html.dark [data-component-part=\"tab-button\"][data-active=\"true\"]{background-color:#242732;box-shadow:0 0 0 1px #2E333C}[role=\"tablist\"][aria-label=\"Code examples\"] [role=\"tab\"][aria-selected=\"true\"],[role=\"tablist\"][aria-label=\"Code examples\"] [role=\"tab\"][aria-selected=\"true\"]>div{color:#ffffff}[role=\"tablist\"][aria-label=\"Code examples\"] [role=\"tab\"][aria-selected=\"true\"]>div:last-child:not(:first-child){background-color:rgb(255 255 255 / 0.7)}"},{"filePath":"styles/tags.css","content":".eyebrow,.bronto-tag{display:inline-flex;align-items:center;gap:8px;width:fit-content;height:auto;padding:6px 12px;border-radius:9999px;border:1px solid rgb(255 214 10 / 80%);background:rgb(255 214 10 / 35%);color:#7A5200;font-family:\"Radio Canada Big\", sans-serif;font-size:13px;font-weight:600;line-height:1;letter-spacing:0;box-shadow:0 1px 3px rgba(153, 117, 63, 0.2)}.eyebrow::before,.bronto-tag::before{content:\"\";width:6px;height:6px;flex-shrink:0;border-radius:50%;background:#FFD60A}html.dark .eyebrow,html.dark .bronto-tag{border-color:rgb(43 127 255 / 50%);background:rgb(43 127 255 / 15%);color:#93C5FD;box-shadow:none}html.dark .eyebrow::before,html.dark .bronto-tag::before{background:#2B7FFF}"},{"filePath":"styles/text-colors.css","content":"html:not(.dark){--gray-950: 21 21 19;--gray-900: 21 21 19;--gray-800: 39 39 37;--gray-700: 57 57 55;--gray-600: 85 84 82;--gray-500: 116 116 113;--gray-400: 153 152 149}html:not(.dark) .prose{--tw-prose-headings: #151513;--tw-prose-bold: #151513;--tw-prose-links: #151513;--tw-prose-code: #151513;--tw-prose-quotes: #151513;--tw-prose-body: #393937;--tw-prose-counters: #747471;--tw-prose-bullets: #999895}"},{"filePath":"styles/toc.css","content":"#table-of-contents h2 button svg{display:none}#table-of-contents h2 button{font-size:13px;font-weight:500;color:rgb(var(--gray-500))}#table-of-contents-content{margin-top:4px;border-left:1px solid rgb(var(--gray-950) / 0.08)}#table-of-contents-content li.toc-item>a{position:relative;padding-top:4px;padding-bottom:4px;padding-left:calc(14px + var(--toc-padding-left, 0rem));font-size:13px;line-height:20px;font-weight:400;color:rgb(var(--gray-500));transition:color 150ms ease-out}#table-of-contents-content li.toc-item>a:hover{color:rgb(var(--gray-900))}#table-of-contents-content li.toc-item>a[aria-current]{color:#151513}#table-of-contents-content li.toc-item>a::before{content:\"\";position:absolute;top:calc(50% - 7px);left:-1.5px;width:2px;height:14px;border-radius:1px;background-color:#151513;transform:scaleY(0);transition:transform 200ms ease-out}#table-of-contents-content li.toc-item>a[aria-current]::before{transform:scaleY(1)}html.dark #table-of-contents-content{border-left-color:rgb(255 255 255 / 0.08)}html.dark #table-of-contents-content li.toc-item>a{color:rgb(var(--gray-400))}html.dark #table-of-contents-content li.toc-item>a:hover,html.dark #table-of-contents-content li.toc-item>a[aria-current]{color:#ffffff}html.dark #table-of-contents-content li.toc-item>a::before{background-color:#ffffff}"},{"filePath":"styles/typography.css","content":".mdx-content :is(p,[data-as=\"p\"],li,blockquote,dd,dt):not([data-component-part=\"callout-content\"] *,table *,.card *,.bronto-hero *){font-size:15px;line-height:26px}#header .prose p{font-size:17px;line-height:26px}[data-component-part=\"card-content\"]{font-size:13px;line-height:19px}"}],"page":{"pagePath":"api-reference/search/post-search","slug":"/api-reference/search/post-search","pageMetadata":{"openapi":"post /search","title":"Execute a query","description":"You can execute queries on your log data by using Bronto's syntax based on a subset of SQL as\ndescribed in the documentation https://docs.bronto.io/query-syntax/overview \n\nBronto supports both the GET and POST methods for executing a query, however the POST method is\npreferred as it avoids problems related to maximum URL length when the query parameters are very long.\n\nIn the context of the REST API, there are three distinct types queries which determine which parts of the \nresponse object are populated:\n+ Event search queries return a list of events matching the specified filter.\nThe response will be paginated if more than `limit` (default 50) matching events are returned.\n+ Aggregate queries apply aggregate functions such as count(), sum(), max(), avg()\nto your log data, and return a number or a timeseries of numbers.\n+ Group by aggregate queries return numerical results grouped according to the values for the\nattributes specified in the group by clause.\n\nThe query type is determined by the combination of the `select` and `groups` parameters.\n","href":"/api-reference/search/post-search"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"You can execute queries on your log data by using Bronto’s syntax based on a subset of SQL as\\ndescribed in the documentation \", _jsx(_components.a, {\n href: \"https://docs.bronto.io/query-syntax/overview\",\n children: \"https://docs.bronto.io/query-syntax/overview\"\n })]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Bronto supports both the GET and POST methods for executing a query, however the POST method is\\npreferred as it avoids problems related to maximum URL length when the query parameters are very long.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"In the context of the REST API, there are three distinct types queries which determine which parts of the\\nresponse object are populated:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Event search queries return a list of events matching the specified filter.\\nThe response will be paginated if more than \", _jsx(_components.code, {\n children: \"limit\"\n }), \" (default 50) matching events are returned.\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Aggregate queries apply aggregate functions such as count(), sum(), max(), avg()\\nto your log data, and return a number or a timeseries of numbers.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Group by aggregate queries return numerical results grouped according to the values for the\\nattributes specified in the group by clause.\"\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The query type is determined by the combination of the \", _jsx(_components.code, {\n children: \"select\"\n }), \" and \", _jsx(_components.code, {\n children: \"groups\"\n }), \" parameters.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"post /search","title":"Execute a query","description":"You can execute queries on your log data by using Bronto's syntax based on a subset of SQL as\ndescribed in the documentation https://docs.bronto.io/query-syntax/overview \n\nBronto supports both the GET and POST methods for executing a query, however the POST method is\npreferred as it avoids problems related to maximum URL length when the query parameters are very long.\n\nIn the context of the REST API, there are three distinct types queries which determine which parts of the \nresponse object are populated:\n+ Event search queries return a list of events matching the specified filter.\nThe response will be paginated if more than `limit` (default 50) matching events are returned.\n+ Aggregate queries apply aggregate functions such as count(), sum(), max(), avg()\nto your log data, and return a number or a timeseries of numbers.\n+ Group by aggregate queries return numerical results grouped according to the values for the\nattributes specified in the group by clause.\n\nThe query type is determined by the combination of the `select` and `groups` parameters.\n","href":"/api-reference/search/post-search"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/bronto/c0c85aeb1654c085/scripts/do11y-config.js","/_mintlify/custom/bronto/a02c6c6af4e0cbe9/scripts/do11y.min.js","/_mintlify/custom/bronto/b9fe7d1728ae15af/scripts/theme-toggle.js"],"openApiReferenceData":{"operation":{"tags":["search"],"summary":"Execute a query","description":"You can execute queries on your log data by using Bronto's syntax based on a subset of SQL as\ndescribed in the documentation https://docs.bronto.io/query-syntax/overview \n\nBronto supports both the GET and POST methods for executing a query, however the POST method is\npreferred as it avoids problems related to maximum URL length when the query parameters are very long.\n\nIn the context of the REST API, there are three distinct types queries which determine which parts of the \nresponse object are populated:\n+ Event search queries return a list of events matching the specified filter.\nThe response will be paginated if more than `limit` (default 50) matching events are returned.\n+ Aggregate queries apply aggregate functions such as count(), sum(), max(), avg()\nto your log data, and return a number or a timeseries of numbers.\n+ Group by aggregate queries return numerical results grouped according to the values for the\nattributes specified in the group by clause.\n\nThe query type is determined by the combination of the `select` and `groups` parameters.\n","operationId":"postSearch","requestBody":"ab2fa626-1799-45bb-b6be-b38ab642b335","responses":{"200":"9431e543-c503-424c-93a4-bd253a68243a","400":"25faa63a-cc28-4a67-ae0a-01d7add7b3d1","429":"e4f698d4-dd2c-470b-aaff-b85c83a83a1b","500":"b0ba8390-92b1-4b6b-a7f0-a833666f5875","default":"19d916b6-2d53-4628-85b9-25bc16f668c7"},"method":"post","type":"path","servers":["0934ee7c-d8e8-4b1a-b2b1-e9ef92a31a64","55e3fa8d-89ab-4b31-972e-b58dff6196f1"],"security":["7707d266-be24-4d9a-b492-d46229d4d9ed","8d37e4e3-a6e6-43df-b836-389ae0b2cb77"],"path":"/search","baseUrlOptions":["https://api.eu.bronto.io","https://api.us.bronto.io"],"title":"Execute a query","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"required":["select"],"type":"object","properties":{"select":{"type":"array","description":"The select parameter enables the selection of one or many rows or columns from your datasets. \nIt can be used to select keys by name, e.g. `\"select\": [\"ip_address\", \"status_code\"]`, in which\ncase the response will contain a list of log events with two columns containing ip addresses and \nstatus codes. Or it can be used with an aggregate function (count, max, min, avg, sum), e.g.,\n`\"select\": [\"avg(response_time_ms)\", \"max(response_time_ms)\"]`, in which case the response will\ncontain columns for the average response time, and max response time. Each row corresponds to a\ntime slice, for example if you set `\"num_of_slices\": 10` and `\"time_range\": \"Last 10 hours\"`, then each row\nwill contain the function result for each hour of data.\nThe `@raw` internal attribute is always available for selection, and its values are the entire unparsed log events.\n","example":["min(response_time_ms)","avg(response_time_ms)","max(response_time_ms)"],"items":{"minItems":1,"type":"string","uniqueKey":"select.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"select","typeLabel":"string[]"},"from":{"type":"array","description":"The ids of the logs to search.\nOne of either the `from` or the `from_tags` parameters _must_ be specified.\n","items":{"minItems":1,"uniqueItems":true,"type":"string","example":"[550e8400-e29b-41d4-a716-446655440000, 297bb888-83b1-44e0-8ab6-47879f1275a2]","uniqueKey":"from.items.[INDEX]","typeLabel":"string"},"uniqueKey":"from","typeLabel":"string[]"},"from_tags":{"type":"array","description":"The tags to search. Each tag should be in the form `\u003ckey>:\u003cvalue>`, e.g., `environment:production`.\nOne of either the `from` or the `from_tags` parameters _must_ be specified. \nIf _both_ are specified then `from_tags` takes precedence, and the `from` value is ignored.\nIf the key or the value contain a `:` or `=` character, then these can be escaped by wrapping the entire key or value in double-quotes `\"`.\n","items":{"minItems":1,"uniqueItems":true,"type":"string","example":"environment:production","uniqueKey":"from_tags.items.[INDEX]","typeLabel":"string"},"uniqueKey":"from_tags","typeLabel":"string[]"},"time_range":{"type":"string","description":"The relative time range for which to query data. Time range supported is from\nmilliseconds to years. For an exact range, use `from_ts` and `to_ts` instead.\n","example":"Last 10 minutes","uniqueKey":"time_range","typeLabel":"string"},"from_ts":{"type":"integer","description":"The starting time (unix time in milliseconds) for which to query data.\nMust be used together with `to_ts`.\nThis parameter is incompatible with `time_range`.\n","example":1709251200000,"uniqueKey":"from_ts","typeLabel":"integer"},"to_ts":{"type":"integer","description":"The ending time (unix time in milliseconds) for which to query data.\nMust be used together with `from_ts`.\nThis parameter is incompatible with `time_range`.\n","example":1711390455601,"uniqueKey":"to_ts","typeLabel":"integer"},"where":{"type":"string","description":"The where parameter is used to filter the results of your query. \nSee https://docs.bronto.io/core-features/log-search/query-syntax for more details\nThe filter can combine multiple terms using AND, OR, NOT.\n","example":"ip='10.0.0.1'","uniqueKey":"where","typeLabel":"string"},"groups":{"type":"array","description":"The groups parameter specifies a key to use to arrange the results returned by an aggregate function, \n(such as count, max, min, avg, sum) into groups of values. The aggregate function returns a single value \nfor each group.\n","items":{"minItems":1,"type":"string","example":"[user, ip]","uniqueKey":"groups.items.[INDEX]","typeLabel":"string"},"uniqueKey":"groups","typeLabel":"string[]"},"limit":{"maximum":6666,"minimum":1,"type":"integer","description":"The maximum number of events that an event search should return.\nIn a query with a group by, it limits the number of groups returned.\nIt does not affect a query using aggregate functions.\n","example":50,"default":100,"uniqueKey":"limit","typeLabel":"integer"},"num_of_slices":{"type":"integer","description":"The number of buckets to break the time series results into.","example":50,"default":10,"uniqueKey":"num_of_slices","typeLabel":"integer"},"from_sequence":{"type":"integer","description":"Specifies the starting sequence number for the time range when used together with the `from_ts` parameter.\nEach log event has a sequence number which is unique within a millisecond,\nand can be used to query data with sub-millisecond time range precision.\nThe sequence numbers are ordered such that earlier log events have lower sequence numbers.\n","example":111721913,"uniqueKey":"from_sequence","typeLabel":"integer"},"most_recent_first":{"type":"boolean","description":"Flag to indicate the order in which results should be returned.","example":true,"uniqueKey":"most_recent_first","typeLabel":"boolean"},"explain_only":{"type":"boolean","description":"If set to `true` then only the `explain` element of the response will be populated.\nThe `explain` element will contain the `Approximate bytes in time range` attribute which\nprovides an estimate for the amount of data present in the time range for the selected\ndatasets.\n","example":true,"default":false,"uniqueKey":"explain_only","typeLabel":"boolean"},"async_enabled":{"type":"boolean","description":"If set to `true` the server will respond in an asynchronous way: it will return immediately with\na polling link (in the `links` element of the response body), which the client should check periodically \nto monitor the progress of the query and to receive partial results. \nThis is useful for long running queries, and allows an API client to handle multiple requests concurrently without blocking. \nThe behaviour of the async API is described [here](#tag/search/operation/getSearchStatus).\n\nIf set to `false` the server will wait until the query has completed before returning a single `200` response\nwith the completed results in the response body.\n","default":false,"uniqueKey":"async_enabled","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"select":["min(response_time_ms)","avg(response_time_ms)","max(response_time_ms)"],"from":["[550e8400-e29b-41d4-a716-446655440000, 297bb888-83b1-44e0-8ab6-47879f1275a2]"],"from_tags":["environment:production"],"time_range":"Last 10 minutes","from_ts":1709251200000,"to_ts":1711390455601,"where":"ip='10.0.0.1'","groups":["[user, ip]"],"limit":50,"num_of_slices":50,"from_sequence":111721913,"most_recent_first":true,"explain_only":true,"async_enabled":false}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"9431e543-c503-424c-93a4-bd253a68243a":{"description":"Search results","headers":{"RateLimit-Limit":{"description":"The request limit per time window.","schema":{"type":"integer"},"example":20},"RateLimit-Remaining":{"description":"The number of requests left in the current time window.","schema":{"type":"integer"},"example":12},"RateLimit-Reset":{"description":"The number of seconds left in the current time window.","schema":{"type":"integer"},"example":13}},"content":{"application/json":{"schema":{"type":"object","properties":{"explain":{"type":"object","properties":{"Execution time (millis)":{"type":"string","description":"Measure of time taken to execute the query.","example":"353","uniqueKey":"explain.Execution time (millis)","typeLabel":"string"}},"uniqueKey":"explain","typeLabel":"object"},"result":{"type":"array","items":{"type":"object","properties":{"@time":{"type":"string","description":"Human readable timestamp of when this log event was ingested","example":"2024-03-27 10:25:40.632 UTC","uniqueKey":"result.items.[INDEX].@time","typeLabel":"string"},"@sequence":{"type":"string","description":"The sequence number of this log event. Note sequence numbers are only unique within a millisecond timestamp.","example":"111721913","uniqueKey":"result.items.[INDEX].@sequence","typeLabel":"string"},"@raw":{"type":"string","description":"The full log line as received","example":"10.0.0.1 - - [27/Mar/2024:10:54:39 +0000] \"GET / HTTP/1.1\" 200 721 \"-\" \"ELB-HealthChecker/2.0\"","uniqueKey":"result.items.[INDEX].@raw","typeLabel":"string"},"@context":{"type":"string","description":"A url that can be used to get the log events before and after this log event.","format":"uri","example":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","uniqueKey":"result.items.[INDEX].@context","typeLabel":"string\u003curi>"},"metadata":{"type":"object","properties":{"logId":{"type":"string","description":"The unique identifier of the log this log event came from","format":"uuid","uniqueKey":"result.items.[INDEX].metadata.logId","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"integer","description":"The timestamp of when this log event was ingested","example":1711535140632,"uniqueKey":"result.items.[INDEX].metadata.timestamp","typeLabel":"integer"},"sequence":{"type":"integer","description":"The sequence number of this log event. Note sequence numbers are only unique within a millisecond timestamp.","example":111721913,"uniqueKey":"result.items.[INDEX].metadata.sequence","typeLabel":"integer"},"origin":{"type":"string","description":"The identity of the sender if this log event.","example":"10.0.0.1","uniqueKey":"result.items.[INDEX].metadata.origin","typeLabel":"string"},"context":{"type":"string","description":"A url that can be used to get the log events before and after this log event.","format":"uri","example":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","uniqueKey":"result.items.[INDEX].metadata.context","typeLabel":"string\u003curi>"},"selectedKeys":{"type":"object","description":"The selected columns displayed in this result","example":{"@time":"2024-03-27 10:25:40.632 UTC"},"uniqueKey":"result.items.[INDEX].metadata.selectedKeys","typeLabel":"object"},"unselectedKeys":{"type":"object","description":"The available columns not displayed in this result","example":{"id":"message_0","current_time":1711535140},"uniqueKey":"result.items.[INDEX].metadata.unselectedKeys","typeLabel":"object"}},"uniqueKey":"result.items.[INDEX].metadata","typeLabel":"object"},"links":{"type":"array","items":{"type":"object","properties":{"rel":{"type":"string","description":"context","example":"context","uniqueKey":"result.items.[INDEX].links.items.[INDEX].rel","typeLabel":"string"},"href":{"type":"string","description":"A url that can be used to get the log events before and after this log event.","format":"uri","example":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","uniqueKey":"result.items.[INDEX].links.items.[INDEX].href","typeLabel":"string\u003curi>"}},"uniqueKey":"result.items.[INDEX].links.items.[INDEX]","typeLabel":"object"},"uniqueKey":"result.items.[INDEX].links","typeLabel":"object[]"}},"uniqueKey":"result.items.[INDEX]","typeLabel":"object"},"uniqueKey":"result","typeLabel":"object[]"},"events":{"type":"array","items":{"type":"object","properties":{"@raw":{"type":"string","description":"The log message as received","example":"10.0.108.203 - - [27/May/2024:23:47:27 +0000] \"GET / HTTP/1.1\" 200 675 \"-\" \"ELB-HealthChecker/2.0\"","uniqueKey":"events.items.[INDEX].@raw","typeLabel":"string"},"@time":{"type":"string","description":"Human readable time of when this event was ingested into Bronto Bytes. The time is in UTC and in the format \"YYYY-MM-DD HH:MM:SS.MMM UTC\"\n","example":"2024-05-27 23:26:34.331 UTC","uniqueKey":"events.items.[INDEX].@time","typeLabel":"string"},"@status":{"type":"string","description":"Indicates the severity of the event. Possible values are:\n- **info**: Denotes standard events or successful operations, such as HTTP 200 responses.\n- **warn**: Highlights potentially problematic situations that are not critical but may require attention, \n such as HTTP 4xx client errors.\n- **error**: Represents critical issues or failures, such as HTTP 5xx server errors or detected \n exceptions like stack traces.\n","example":"info","uniqueKey":"events.items.[INDEX].@status","typeLabel":"string"},"message_kvs":{"type":"object","description":"Key-value pairs extracted from the log message","example":{"method":"GET","statusCode":"200","path":"/"},"uniqueKey":"events.items.[INDEX].message_kvs","typeLabel":"object"},"attributes":{"type":"object","description":"Additional details attached to the log event, such as resource attributes, environment settings, or custom attributes defined by the user.\n","example":{"$private_ip":"10.0.22.230","$environment":"production"},"uniqueKey":"events.items.[INDEX].attributes","typeLabel":"object"},"metadata":{"type":"object","properties":{"service_id":{"type":"string","description":"The unique identifier of the service this event came from.","format":"uuid","example":"23746675-7022-4985-bd74-4af9eba58d72","uniqueKey":"events.items.[INDEX].metadata.service_id","typeLabel":"string\u003cuuid>"},"timestamp":{"type":"integer","description":"Unix timestamp in milliseconds of when this event was ingested.","example":1716853347801,"uniqueKey":"events.items.[INDEX].metadata.timestamp","typeLabel":"integer"},"sequence":{"type":"integer","description":"The sequence number of this log event. Note sequence numbers are only unique within a millisecond timestamp.","example":111721913,"uniqueKey":"events.items.[INDEX].metadata.sequence","typeLabel":"integer"},"context":{"type":"string","description":"A url that can be used to get the events before and after this event.","format":"uri","example":"\"https://api.eu.bronto.io/context?sequence=213\u0026from=37bdf479-7c95-4e81-982a-25d0680fb602\u0026timestamp=1716853354331\u0026direction=both\"\n","uniqueKey":"events.items.[INDEX].metadata.context","typeLabel":"string\u003curi>"}},"description":"The metadata of the event","uniqueKey":"events.items.[INDEX].metadata","typeLabel":"object"},"links":{"type":"array","items":{"type":"object","properties":{"rel":{"type":"string","description":"next","example":"context","uniqueKey":"events.items.[INDEX].links.items.[INDEX].rel","typeLabel":"string"},"href":{"type":"string","description":"A url that can be used to get the log events before and after this log event.","format":"uri","example":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","uniqueKey":"events.items.[INDEX].links.items.[INDEX].href","typeLabel":"string\u003curi>"}},"uniqueKey":"events.items.[INDEX].links.items.[INDEX]","typeLabel":"object"},"uniqueKey":"events.items.[INDEX].links","typeLabel":"object[]"}},"uniqueKey":"events.items.[INDEX]","typeLabel":"object"},"uniqueKey":"events","typeLabel":"object[]"},"groups":{"type":"array","items":{"type":"object","properties":{"group":{"type":"string","description":"The groupby key or keys used by this group","example":"[US]","uniqueKey":"groups.items.[INDEX].group","typeLabel":"string"},"count":{"type":"integer","description":"The number of times this group appeared in the logs","format":"int64","example":124,"uniqueKey":"groups.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"stat":{"type":"string","description":"The statistical function applied to the group","example":"average(bytes)","uniqueKey":"groups.items.[INDEX].stat","typeLabel":"string"},"value":{"type":"number","description":"Overall value of the statistical function applied","format":"double","example":50325.25,"uniqueKey":"groups.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"timeseries":{"type":"array","items":{"type":"object","properties":{"@timestamp":{"type":"string","description":"Unix timestamp in milliseconds","example":"1711535140632","uniqueKey":"groups.items.[INDEX].timeseries.items.[INDEX].@timestamp","typeLabel":"string"},"count":{"type":"integer","description":"Count of the group key in the given time slice","format":"int64","example":40,"uniqueKey":"groups.items.[INDEX].timeseries.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"value":{"type":"number","description":"The value of the statistical function for that group in the given time slice","format":"double","example":35.625,"uniqueKey":"groups.items.[INDEX].timeseries.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"quantiles":{"type":"object","description":"Statistical distribution of the group’s values within the time slice, represented by key quantiles:\n- **min**: The minimum observed value.\n- **p25**: The 25th percentile (first quartile).\n- **p50**: The 50th percentile (median).\n- **p75**: The 75th percentile (third quartile).\n- **p90**: The 90th percentile.\n- **p95**: The 95th percentile.\n- **p99**: The 99th percentile.\n- **p999**: The 99.9th percentile, highlighting extreme outliers.\n- **max**: The maximum observed value.\n","example":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331},"uniqueKey":"groups.items.[INDEX].timeseries.items.[INDEX].quantiles","typeLabel":"object"}},"uniqueKey":"groups.items.[INDEX].timeseries.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups.items.[INDEX].timeseries","typeLabel":"object[]"}},"uniqueKey":"groups.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups","typeLabel":"object[]"},"groups_series":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The group name","example":"host123","uniqueKey":"groups_series.items.[INDEX].name","typeLabel":"string"},"count":{"type":"integer","description":"The number of times this group appeared in the logs","format":"int64","example":124,"uniqueKey":"groups_series.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"stat":{"type":"string","description":"The statistical function applied to the group","example":"average(duration_millis)","uniqueKey":"groups_series.items.[INDEX].stat","typeLabel":"string"},"value":{"type":"number","description":"Overall value of the statistical function applied","format":"double","example":50325.25,"uniqueKey":"groups_series.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"quantiles":{"type":"object","description":"Statistical distribution of the group’s metric values shown through key quantiles:\n- **min**: The minimum observed value.\n- **p25**: The 25th percentile (first quartile).\n- **p50**: The 50th percentile (median).\n- **p75**: The 75th percentile (third quartile).\n- **p90**: The 90th percentile.\n- **p95**: The 95th percentile.\n- **p99**: The 99th percentile.\n- **p999**: The 99.9th percentile, highlighting extreme outliers.\n- **max**: The maximum observed value.\n","example":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331},"uniqueKey":"groups_series.items.[INDEX].quantiles","typeLabel":"object"},"series_resolution_ms":{"type":"number","description":"The resolution of the timeseries in milliseconds","format":"int64","example":60000,"uniqueKey":"groups_series.items.[INDEX].series_resolution_ms","typeLabel":"number\u003cint64>"},"timeseries":{"type":"array","items":{"type":"object","properties":{"@timestamp":{"type":"string","description":"Unix timestamp in milliseconds","example":"1711535140632","uniqueKey":"groups_series.items.[INDEX].timeseries.items.[INDEX].@timestamp","typeLabel":"string"},"count":{"type":"integer","description":"Count of the group key in the given time slice","format":"int64","example":40,"uniqueKey":"groups_series.items.[INDEX].timeseries.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"value":{"type":"number","description":"The value of the statistical function for that group in the given time slice","format":"double","example":35.625,"uniqueKey":"groups_series.items.[INDEX].timeseries.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"quantiles":{"type":"object","description":"Statistical distribution of the group’s values within the time slice, represented by key quantiles:\n- **min**: The minimum observed value.\n- **p25**: The 25th percentile (first quartile).\n- **p50**: The 50th percentile (median).\n- **p75**: The 75th percentile (third quartile).\n- **p90**: The 90th percentile.\n- **p95**: The 95th percentile.\n- **p99**: The 99th percentile.\n- **p999**: The 99.9th percentile, highlighting extreme outliers.\n- **max**: The maximum observed value.\n","example":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331},"uniqueKey":"groups_series.items.[INDEX].timeseries.items.[INDEX].quantiles","typeLabel":"object"}},"uniqueKey":"groups_series.items.[INDEX].timeseries.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups_series.items.[INDEX].timeseries","typeLabel":"object[]"},"groups_series":{"type":"array","description":"The subgroups of the group (multi group-by)","items":{"type":"object","properties":{"name":{"type":"string","description":"The group name","example":"host123","uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].name","typeLabel":"string"},"count":{"type":"integer","description":"The number of times this group appeared in the logs","format":"int64","example":124,"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"stat":{"type":"string","description":"The statistical function applied to the group","example":"average(duration_millis)","uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].stat","typeLabel":"string"},"value":{"type":"number","description":"Overall value of the statistical function applied","format":"double","example":50325.25,"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"series_resolution_ms":{"type":"number","description":"The resolution of the timeseries in milliseconds","format":"int64","example":60000,"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].series_resolution_ms","typeLabel":"number\u003cint64>"},"timeseries":{"type":"array","items":{"type":"object","properties":{"@timestamp":{"type":"string","description":"Unix timestamp in milliseconds","example":"1711535140632","uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries.items.[INDEX].@timestamp","typeLabel":"string"},"count":{"type":"integer","description":"Count of the group key in the given time slice","format":"int64","example":40,"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries.items.[INDEX].count","typeLabel":"integer\u003cint64>"},"value":{"type":"number","description":"The value of the statistical function for that group in the given time slice","format":"double","example":35.625,"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"quantiles":{"type":"object","description":"Statistical distribution of the group’s values within the time slice, represented by key quantiles:\n- **min**: The minimum observed value.\n- **p25**: The 25th percentile (first quartile).\n- **p50**: The 50th percentile (median).\n- **p75**: The 75th percentile (third quartile).\n- **p90**: The 90th percentile.\n- **p95**: The 95th percentile.\n- **p99**: The 99th percentile.\n- **p999**: The 99.9th percentile, highlighting extreme outliers.\n- **max**: The maximum observed value.\n","example":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331},"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries.items.[INDEX].quantiles","typeLabel":"object"}},"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX].timeseries","typeLabel":"object[]"}},"uniqueKey":"groups_series.items.[INDEX].groups_series.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups_series.items.[INDEX].groups_series","typeLabel":"object[]"}},"uniqueKey":"groups_series.items.[INDEX]","typeLabel":"object"},"uniqueKey":"groups_series","typeLabel":"object[]"},"metadata":{"type":"object","properties":{"select":{"type":"array","description":"The columns that were selected in the query request, and which appear in the results table.","example":["host","status","method"],"items":{"type":"string","uniqueKey":"metadata.select.items.[INDEX]","typeLabel":"string"},"uniqueKey":"metadata.select","typeLabel":"string[]"},"correlation_id":{"type":"string","description":"The identifier which uniquely identifies this query.\n","example":"00000000-0000-0000-0000-000000000000","uniqueKey":"metadata.correlation_id","typeLabel":"string"}},"uniqueKey":"metadata","typeLabel":"object"},"totals":{"type":"object","uniqueKey":"totals","typeLabel":"object"},"pagination":{"type":"object","properties":{"next_page_url":{"type":"string","description":"The url to fetch the next set of results","format":"uri","uniqueKey":"pagination.next_page_url","typeLabel":"string\u003curi>"}},"uniqueKey":"pagination","typeLabel":"object"},"links":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"rel":{"type":"string","description":"next","example":"next","uniqueKey":"links.items.[INDEX].oneOf.0.rel","typeLabel":"string"},"href":{"type":"string","description":"For paginated event search queries, the URL which can be used to fetch the next page of results.","format":"uri","uniqueKey":"links.items.[INDEX].oneOf.0.href","typeLabel":"string\u003curi>"}},"uniqueKey":"links.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","properties":{"rel":{"type":"string","description":"status","example":"status","uniqueKey":"links.items.[INDEX].oneOf.1.rel","typeLabel":"string"},"href":{"type":"string","description":"The URL to fetch the query's status. See more information about the async api [here](#tag/search/operation/getSearchStatus).","format":"uri","uniqueKey":"links.items.[INDEX].oneOf.1.href","typeLabel":"string\u003curi>"}},"uniqueKey":"links.items.[INDEX].oneOf.1","typeLabel":"object"}],"uniqueKey":"links.items.[INDEX]","typeLabel":"object"},"uniqueKey":"links","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"explain":{"Execution time (millis)":"353"},"result":[{"@time":"2024-03-27 10:25:40.632 UTC","@sequence":"111721913","@raw":"10.0.0.1 - - [27/Mar/2024:10:54:39 +0000] \"GET / HTTP/1.1\" 200 721 \"-\" \"ELB-HealthChecker/2.0\"","@context":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","metadata":{"logId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","timestamp":1711535140632,"sequence":111721913,"origin":"10.0.0.1","context":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both","selectedKeys":{"@time":"2024-03-27 10:25:40.632 UTC"},"unselectedKeys":{"id":"message_0","current_time":1711535140}},"links":[{"rel":"context","href":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both"}]}],"events":[{"@raw":"10.0.108.203 - - [27/May/2024:23:47:27 +0000] \"GET / HTTP/1.1\" 200 675 \"-\" \"ELB-HealthChecker/2.0\"","@time":"2024-05-27 23:26:34.331 UTC","@status":"info","message_kvs":{"method":"GET","statusCode":"200","path":"/"},"attributes":{"$private_ip":"10.0.22.230","$environment":"production"},"metadata":{"service_id":"23746675-7022-4985-bd74-4af9eba58d72","timestamp":1716853347801,"sequence":111721913,"context":"\"https://api.eu.bronto.io/context?sequence=213\u0026from=37bdf479-7c95-4e81-982a-25d0680fb602\u0026timestamp=1716853354331\u0026direction=both\"\n"},"links":[{"rel":"context","href":"https://api.bronto.io/context?sequence=111721913\u0026limit=1\u0026from=23746675-7022-4985-bd74-4af9eba58d72\u0026timestamp=1711535140632\u0026direction=both"}]}],"groups":[{"group":"[US]","count":124,"stat":"average(bytes)","value":50325.25,"timeseries":[{"@timestamp":"1711535140632","count":40,"value":35.625,"quantiles":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331}}]}],"groups_series":[{"name":"host123","count":124,"stat":"average(duration_millis)","value":50325.25,"quantiles":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331},"series_resolution_ms":60000,"timeseries":[{"@timestamp":"1711535140632","count":40,"value":35.625,"quantiles":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331}}],"groups_series":[{"name":"host123","count":124,"stat":"average(duration_millis)","value":50325.25,"series_resolution_ms":60000,"timeseries":[{"@timestamp":"1711535140632","count":40,"value":35.625,"quantiles":{"min":691,"p25":713.75,"p50":796,"p75":847.5,"p90":1237,"p95":1331,"p99":1331,"p999":1331,"max":1331}}]}]}],"metadata":{"select":["host","status","method"],"correlation_id":"00000000-0000-0000-0000-000000000000"},"totals":{},"pagination":{"next_page_url":"\u003cstring>"},"links":[{"rel":"next","href":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"25faa63a-cc28-4a67-ae0a-01d7add7b3d1":{"description":"Bad Request - The body in the request is invalid.","content":{"application/json":{"schema":{"required":["code","correlation_id","message"],"type":"object","properties":{"code":{"minimum":200,"type":"integer","description":"The http response code.","format":"int32","isRequired":true,"uniqueKey":"code","typeLabel":"integer\u003cint32>"},"correlation_id":{"type":"string","description":"The unique identifier for the request.","isRequired":true,"uniqueKey":"correlation_id","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":201,"correlation_id":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"e4f698d4-dd2c-470b-aaff-b85c83a83a1b":{"description":"Too Many Request - Fair usage limits exceeded","content":{"application/json":{"schema":{"required":["code","correlation_id","message"],"type":"object","properties":{"code":{"minimum":200,"type":"integer","description":"The http response code.","format":"int32","isRequired":true,"uniqueKey":"code","typeLabel":"integer\u003cint32>"},"correlation_id":{"type":"string","description":"The unique identifier for the request.","isRequired":true,"uniqueKey":"correlation_id","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":201,"correlation_id":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"b0ba8390-92b1-4b6b-a7f0-a833666f5875":{"description":"Internal Server Error - An error occurred on the server side.","content":{"application/json":{"schema":{"required":["code","correlation_id","message"],"type":"object","properties":{"code":{"minimum":200,"type":"integer","description":"The http response code.","format":"int32","isRequired":true,"uniqueKey":"code","typeLabel":"integer\u003cint32>"},"correlation_id":{"type":"string","description":"The unique identifier for the request.","isRequired":true,"uniqueKey":"correlation_id","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":201,"correlation_id":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"19d916b6-2d53-4628-85b9-25bc16f668c7":{"description":"Unexpected Error","content":{"application/json":{"schema":{"required":["code","correlation_id","message"],"type":"object","properties":{"code":{"minimum":200,"type":"integer","description":"The http response code.","format":"int32","isRequired":true,"uniqueKey":"code","typeLabel":"integer\u003cint32>"},"correlation_id":{"type":"string","description":"The unique identifier for the request.","isRequired":true,"uniqueKey":"correlation_id","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":201,"correlation_id":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7707d266-be24-4d9a-b492-d46229d4d9ed":{"ApiKeyAuth":{"type":"apiKey","name":"X-BRONTO-API-KEY","in":"header","scopes":[]}},"8d37e4e3-a6e6-43df-b836-389ae0b2cb77":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[]}}},"servers":{"0934ee7c-d8e8-4b1a-b2b1-e9ef92a31a64":{"url":"https://api.eu.bronto.io"},"55e3fa8d-89ab-4b31-972e-b58dff6196f1":{"url":"https://api.us.bronto.io"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"X-BRONTO-API-KEY","in":"header","scopes":[]},"schema":{"title":"X-BRONTO-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-BRONTO-API-KEY"}],"title":"ApiKeyAuth"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"api-reference/brontobytes.yaml"},"subdomain":"bronto","siteName":"Bronto Docs","title":"Execute a query - Bronto Docs","contextualStarterQuestions":[{"_id":"69b2c6fd3ed95beb2c9316a5","deploymentId":"67ab42c567c9a403dcded195","questionText":"What query types are supported?","status":"active","generatedBy":"contextual","path":"api-reference/search/post-search","createdAt":"2026-03-12T14:00:29.861Z","updatedAt":"2026-03-12T14:00:29.861Z","__v":0},{"_id":"69b2c6fd3ed95beb2c9316a7","deploymentId":"67ab42c567c9a403dcded195","questionText":"How do I group query results?","status":"active","generatedBy":"contextual","path":"api-reference/search/post-search","createdAt":"2026-03-12T14:00:29.861Z","updatedAt":"2026-03-12T14:00:29.861Z","__v":0},{"_id":"69b2c6fd3ed95beb2c9316a6","deploymentId":"67ab42c567c9a403dcded195","questionText":"Should I use GET or POST method?","status":"active","generatedBy":"contextual","path":"api-reference/search/post-search","createdAt":"2026-03-12T14:00:29.861Z","updatedAt":"2026-03-12T14:00:29.861Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-04T09:43:35.506Z","originalFileLocation":"api-reference/search/post-search.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"You can execute queries on your log data by using Bronto\u0026#x27;s syntax based on a subset of SQL as described in the documentation https://docs.bronto.io/query-syntax/overview Bronto supports both the GET and POST methods for executing a query, however the POST method is preferred as it avoids problems related to maximum URL length when the query parameters are very long. In the context of the REST API, there are three distinct types queries which determine which parts of the response object are populated: + Event search queries return a list of events matching the specified filter. The response will be paginated if more than limit (default 50) matching events are returned. + Aggregate queries apply aggregate functions such as count(), sum(), max(), avg() to your log data, and return a number or a timeseries of numbers. + Group by aggregate queries return numerical results grouped according to the values for the attributes specified in the group by clause. The query type is determined by the combination of the select and groups parameters.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Bronto Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Execute a query - Bronto Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"You can execute queries on your log data by using Bronto\u0026#x27;s syntax based on a subset of SQL as described in the documentation https://docs.bronto.io/query-syntax/overview Bronto supports both the GET and POST methods for executing a query, however the POST method is preferred as it avoids problems related to maximum URL length when the query parameters are very long. In the context of the REST API, there are three distinct types queries which determine which parts of the response object are populated: + Event search queries return a list of events matching the specified filter. The response will be paginated if more than limit (default 50) matching events are returned. + Aggregate queries apply aggregate functions such as count(), sum(), max(), avg() to your log data, and return a number or a timeseries of numbers. + Group by aggregate queries return numerical results grouped according to the values for the attributes specified in the group by clause. The query type is determined by the combination of the select and groups parameters.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Bronto Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.bronto.io/api-reference/search/post-search\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://bronto.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Execute+a+query\u0026amp;description=You+can+execute+queries+on+your+log+data+by+using+Bronto%27s+syntax+based+on+a+subset+of+SQL+as%0Adescribed+in+the+documentation+https%3A%2F%2Fdocs.bronto.io%2Fquery-syntax\u0026amp;theme=8ada87af3b4d696278fc6f31\u0026amp;signature=67ce1f5a81402329d2d202c4fd68ba26355419b22c6bbbed4bb64cfb51274837\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Execute a query - Bronto Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"You can execute queries on your log data by using Bronto\u0026#x27;s syntax based on a subset of SQL as described in the documentation https://docs.bronto.io/query-syntax/overview Bronto supports both the GET and POST methods for executing a query, however the POST method is preferred as it avoids problems related to maximum URL length when the query parameters are very long. In the context of the REST API, there are three distinct types queries which determine which parts of the response object are populated: + Event search queries return a list of events matching the specified filter. The response will be paginated if more than limit (default 50) matching events are returned. + Aggregate queries apply aggregate functions such as count(), sum(), max(), avg() to your log data, and return a number or a timeseries of numbers. + Group by aggregate queries return numerical results grouped according to the values for the attributes specified in the group by clause. The query type is determined by the combination of the select and groups parameters.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://bronto.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Execute+a+query\u0026amp;description=You+can+execute+queries+on+your+log+data+by+using+Bronto%27s+syntax+based+on+a+subset+of+SQL+as%0Adescribed+in+the+documentation+https%3A%2F%2Fdocs.bronto.io%2Fquery-syntax\u0026amp;theme=8ada87af3b4d696278fc6f31\u0026amp;signature=67ce1f5a81402329d2d202c4fd68ba26355419b22c6bbbed4bb64cfb51274837\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/bronto/VQz551XAfr4fCCWx/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Bronto Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#F4C430\">\u003cmeta data-mint-head name=\"applicationName\" content=\"Bronto Docs\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.bronto.io/api-reference/search/post-search\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/search/post-search.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.bronto.io/#organization\",\"name\":\"Bronto Docs\",\"url\":\"https://docs.bronto.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/bronto/XgZO_N2_fZQn0lij/logo/bronto_mark.png?fit=max\u0026auto=format\u0026n=XgZO_N2_fZQn0lij\u0026q=85\u0026s=9d3e675d8cd714b8dbd1f1753438f856\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.bronto.io#website\",\"name\":\"Bronto Docs\",\"url\":\"https://docs.bronto.io\",\"publisher\":{\"@id\":\"https://docs.bronto.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.bronto.io/api-reference/search/post-search#webpage\",\"url\":\"https://docs.bronto.io/api-reference/search/post-search\",\"name\":\"Execute a query\",\"description\":\"You can execute queries on your log data by using Bronto's syntax based on a subset of SQL as described in the documentation https://docs.bronto.io/query-syntax/overview Bronto supports both the GET and POST methods for executing a query, however the POST method is preferred as it avoids problems related to maximum URL length when the query parameters are very long. In the context of the REST API, there are three distinct types queries which determine which parts of the response object are populated: + Event search queries return a list of events matching the specified filter. The response will be paginated if more than limit (default 50) matching events are returned. + Aggregate queries apply aggregate functions such as count(), sum(), max(), avg() to your log data, and return a number or a timeseries of numbers. + Group by aggregate queries return numerical results grouped according to the values for the attributes specified in the group by clause. The query type is determined by the combination of the select and groups parameters.\",\"dateModified\":\"2026-03-04T09:43:35.506Z\",\"isPartOf\":{\"@id\":\"https://docs.bronto.io#website\"}},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.bronto.io/api-reference/search/post-search#apireference\",\"headline\":\"Execute a query\",\"name\":\"Execute a query\",\"description\":\"You can execute queries on your log data by using Bronto's syntax based on a subset of SQL as described in the documentation https://docs.bronto.io/query-syntax/overview Bronto supports both the GET and POST methods for executing a query, however the POST method is preferred as it avoids problems related to maximum URL length when the query parameters are very long. In the context of the REST API, there are three distinct types queries which determine which parts of the response object are populated: + Event search queries return a list of events matching the specified filter. The response will be paginated if more than limit (default 50) matching events are returned. + Aggregate queries apply aggregate functions such as count(), sum(), max(), avg() to your log data, and return a number or a timeseries of numbers. + Group by aggregate queries return numerical results grouped according to the values for the attributes specified in the group by clause. The query type is determined by the combination of the select and groups parameters.\",\"url\":\"https://docs.bronto.io/api-reference/search/post-search\",\"mainEntityOfPage\":{\"@id\":\"https://docs.bronto.io/api-reference/search/post-search#webpage\"},\"dateModified\":\"2026-03-04T09:43:35.506Z\",\"publisher\":{\"@id\":\"https://docs.bronto.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.bronto.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Bronto Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Bronto Docs","nav":{"global":{"anchors":[{"anchor":"Trust","icon":"shield","href":"https://trust.bronto.io/"},{"anchor":"Book a Demo","icon":"calendar","href":"https://www.bronto.io/book-a-demo"},{"anchor":"Status","icon":"signal","href":"https://status.bronto.io"}]},"tabs":[{"tab":"Getting Started and UI","groups":[{"group":"Get started","pages":[{"title":"Welcome to Bronto","mode":"wide","icon":"house","href":"/welcome"},{"title":"Introduction","sidebarTitle":"Introduction","icon":"book-open","href":"/introduction"},{"title":"Quick Ingest","sidebarTitle":"Quick Ingest","icon":"zap","href":"/getting-started/quick-ingestion"},{"title":"Bronto Ingestion Endpoints","sidebarTitle":"Ingestion Endpoints","icon":"link","href":"/getting-started/bronto-endpoints"},{"title":"Try Bronto with the OpenTelemetry Demo","sidebarTitle":"OpenTelemetry Demo","icon":"play","href":"/getting-started/otel-demo"}]},{"group":"Tracing","pages":[{"title":"Send Traces to Bronto","sidebarTitle":"Send Traces","icon":"send","href":"/tracing/send-traces"},{"title":"Explore Traces","sidebarTitle":"Explore Traces","icon":"waypoints","href":"/tracing/explore-traces"}]},{"group":"Metrics","pages":[{"title":"Send Metrics to Bronto","sidebarTitle":"Send Metrics","icon":"send","href":"/metrics/send-metrics"},{"title":"Explore Metrics","sidebarTitle":"Explore Metrics","icon":"chart-line","href":"/metrics/explore-metrics"}]},{"group":"Search","pages":[{"title":"Log Search","sidebarTitle":"Log Search","icon":"search","href":"/Search-and-Visualize/Log-Search"}]},{"group":"Query syntax","pages":[{"title":"Search Syntax","sidebarTitle":"Search Syntax","icon":"code","href":"/query-syntax/search-syntax"},{"title":"Patterns","sidebarTitle":"Patterns","icon":"shapes","href":"/core-features/patterns"}]},{"group":"Visualize","pages":[{"title":"Visualization","sidebarTitle":"Visualization","icon":"chart-column","href":"/Search-and-Visualize/Log-Visualization"},{"title":"Dashboards","sidebarTitle":"Dashboards","icon":"layout-dashboard","href":"/Search-and-Visualize/Dashboards"},{"title":"Grafana Plugin","icon":"puzzle","href":"/integrations/grafana-plugin"},{"title":"Saved Searches","icon":"bookmark","sidebarTitle":"Saved Searches","href":"/Search-and-Visualize/Saved-Searches"},{"title":"Data Organization","icon":"folder-tree","href":"/Search-and-Visualize/Partitions"}]},{"group":"Monitors and alerting","pages":[{"title":"Service Level Objectives (SLOs)","sidebarTitle":"Service Level Objectives","icon":"target","href":"/core-features/service-level-objectives"},{"title":"Monitoring Overview \u0026 Threshold Monitors","sidebarTitle":"Monitoring Overview \u0026 Threshold Monitors","icon":"bell-ring","href":"/core-features/monitors"},{"title":"Change Detection Monitors","sidebarTitle":"Change Detection Monitors","icon":"activity","href":"/core-features/change-detection"}]},{"group":"Notification channels","pages":[{"title":"Slack","icon":"message-square-text","href":"/integrations/slack"},{"title":"Webhooks","icon":"webhook","href":"/integrations/webhooks"}]},{"group":"My Data","pages":[{"title":"My Data","icon":"database","sidebarTitle":"My Data","href":"/My-Data/My-Data"},{"title":"Log Forwarding","sidebarTitle":"Log Forwarding","icon":"forward","href":"/core-features/log-forwarding"}]},{"group":"Account and security","pages":[{"title":"Access Control","sidebarTitle":"Access Control","icon":"user-check","href":"/Account-Management/Access-Control"},{"title":"API Keys","icon":"key-round","sidebarTitle":"API Keys","href":"/Account-Management/API-Keys"},{"title":"Bring Your Own Key (BYOK)","sidebarTitle":"Bring Your Own Key","icon":"lock","href":"/Account-Management/BYOK"},{"title":"Multi-Organisation","sidebarTitle":"Multi Organisation","icon":"building-2","href":"/Account-Management/Multi-Org"},{"title":"User Management","sidebarTitle":"User Management","icon":"users","href":"/Account-Management/User-Management"},{"title":"Security","sidebarTitle":"Security","icon":"shield","href":"/Account-Management/Security"},{"title":"Data Retention","icon":"clock","href":"/Account-Management/Retention"}]},{"group":"Automation","pages":[{"title":"Manage Bronto with Terraform","sidebarTitle":"Terraform","icon":"blocks","href":"/automation/terraform"},{"title":"Manage Bronto with OpenTofu","sidebarTitle":"OpenTofu","icon":"sprout","hre
[...]
